Apache Php Mysql Phpmyadmin Kurulumu

Apache Php Mysql Phpmyadmin Kurulumu

Merhaba,

Lamp gibi sistemleri kullanmayıp kendiniz tek tek programları kurmak istiyorsanız sırasıyla Apache Php Mysql Phpmyadmin kurulumu yapmanız gerekiyor. Ben kurulu olan sisteme göre aşağıdaki şekillerde kurulumları yapıp sorunsuz kullanıyorum. Ubuntu 16‘da php5 kurulumunda sorun yaşadığım için Aşağıdaki şekilde php kısmını kurulumunu yaptım.

Ubuntu 18 için Aşağıdaki iki linkten faydalandığım için direk oralara link verdim. Ordan sorunsuzca kurulumu yapabilirsiniz benim kurulumlarımda bir sorun çıkması sorunsuz kullanıyorum.

Ubuntu 14

sudo apt-get update
sudo apt-get install apache2
sudo apt-get install php5 php5-mysql mysql-server
sudo apt-get install phpmyadmin

ln -sf /usr/share/phpmyadmin /var/www/phpmyadmin

sudo chown kullanıcıadınız -R /var/www

sudo nano /var/www/phpinfo.php

sudo /etc/init.d/apache2 restart
sudo /etc/init.d/apache2 stop
sudo /etc/init.d/apache2 start

Ubuntu 16 için Php5.6 Kurulumu

sudo add-apt-repository ppa:ondrej/php
sudo apt-get update
sudo apt-get install php5.6
sudo apt-get install php5.6-mbstring php5.6-mcrypt php5.6-mysql php5.6-xml

https://askubuntu.com/questions/387062/how-to-solve-the-phpmyadmin-not-found-issue-after-upgrading-php-and-apache

Ubuntu 18

Ubuntu 18 için hazırlanmış kurulum rehberinin linklerini paylaşıyorum ayrıntı olarak anlattığı için kesinlikle sorunsuz bir kurulum yapmanızı sağlıyor. Birinci link apache mysql php kurulumlarını yapmak için ayrıntılı bilgi içeriyor. İkinci link ilede phpmyadmin kurup gerekli ayarları yapmanızı sağlayan bilgiler içeriyor.

https://www.digitalocean.com/community/tutorials/how-to-install-linux-apache-mysql-php-lamp-stack-ubuntu-18-04

https://www.digitalocean.com/community/tutorials/how-to-install-and-secure-phpmyadmin-on-ubuntu-18-04

https://www.digitalocean.com/community/tutorials/how-to-rewrite-urls-with-mod_rewrite-for-apache-on-ubuntu-18-04

sudo apt install phpmyadmin php-mbstring php-gettext
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package phpmyadmin
E: Unable to locate package php-mbstring
E: Unable to locate package php-gettext

Yukarıdaki gibi bir hata alırsanız aşağıdaki komutu çalıştırıp sorunu düzeltmiş olursunuz. Sonra yüklemeye kaldığınız yerden devam ederek ilerleyebilirsiniz.

sudo add-apt-repository universe

Extralar;

php.ini nerede ?
SSH üzerinden php -i | grep php.ini komutu ile bulabilirsiniz

phpmyadmin import 2mb yükseltme?
https://stackoverflow.com/questions/38626400/phpmyadmin-import-file-size-2m-limit

Bir cevap yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir

This site uses Akismet to reduce spam. Learn how your comment data is processed.